header {
    position: relative;
    &.open-menu {
        nav {
            display: flex;
        }

        .open-close-menu {
            .close {
                display: block;
            }
            .open {
                display: none;
            }
        }
    }

    .open-close-menu {
        position: absolute;
        left: 15px;
        top: 15px;
        z-index: 2;

        img {
            width: 20px;
            height: 20px;
            -o-object-fit: contain;
            object-fit: contain;
            &.close {
                display: none;
                width: 15px;
                height: 15px;
            }
            &.open {
                display: block;
                width: 20px;
                height: 20px;
            }
        }
    }

    nav {
        position: absolute;
        z-index: 1;
        width: 100%;
        display: none;
        padding: 15px;
        align-items: center;
        flex-direction: column;
        background-color: white;
        border-bottom: 1px solid #e3e3e3;
        @include desktop() {
            position: unset;
            display: flex;
            justify-content: space-between;
            flex-direction: row;
            padding: 12px 40px;
            border-bottom: unset;
        }
    }

    .logo {
        margin-bottom: 15px;
        @include desktop() {
            margin-bottom: 0;
        }

        img {
            width: 83px;
            height: 56px;
            -o-object-fit: contain;
            object-fit: contain;
        }
    }

    .search {
        position: relative;
        width: 100%;
        height: -webkit-max-content;
        height: -moz-max-content;
        height: max-content;
        margin-bottom: 15px;
        @include desktop() {
            margin-left: 32px;
            margin-bottom: 0;
        }
        @include lg() {
            min-width: 698px;
        }

        & > img {
            position: absolute;
            left: 20px;
            top: 0;
            bottom: 0;
            margin: auto;
            width: 13px;
            height: 13px;
            -o-object-fit: contain;
            object-fit: contain;
        }

        input {
            padding: 14px 20px 14px 45px;
            border: 1px solid #e3e3e3;
            font-family: 'Gilroy-Medium', sans-serif;
            font-size: 16px;
            line-height: 22px;
            letter-spacing: -0.01em;
            color: black;
            width: 100%;

            &::-webkit-input-placeholder {
                color: #979797;
            }
            &::-moz-placeholder {
                color: #979797;
            }
            &:-ms-input-placeholder {
                color: #979797;
            }
            &::-ms-input-placeholder {
                color: #979797;
            }
            &::placeholder {
                color: #979797;
            }
        }
    }

    .menu-items {
        width: 100%;
        @include desktop() {
            margin-left: 40px;
        }

        ul {
            display: flex;
            align-items: center;
            flex-direction: column;
            height: 100%;
            @include desktop() {
                align-items: baseline;
                flex-direction: row;
            }

            li {
                margin-bottom: 15px;
                width: 100%;
                text-align: center;
                @include desktop() {
                    margin-bottom: 0;
                    text-align: left;
                }

                a {
                    font-family: 'Gilroy-SemiBold', sans-serif;
                    font-size: 16px;
                    line-height: 16px;
                    color: black;
                    @include desktop() {
                        margin-right: 40px;
                    }
                }

                button {
                    width: 100%;
                    padding: 13px;
                    background: black;
                    color: white;
                    font-family: 'Gilroy-SemiBold', sans-serif;
                    font-size: 14px;
                    line-height: 14px;
                    border: unset;
                    @include desktop() {
                        width: 207px;
                    }
                }
            }
        }
    }
}
